%define anolis_release 2
%global realname kdcproxy

Name:           python-%{realname}
Version:        1.0.0
Release:        %{anolis_release}%{?dist}
Summary:        MS-KKDCP (kerberos proxy) WSGI module

License:        MIT
URL:            https://github.com/latchset/%{realname}
Source0:        https://github.com/latchset/%{realname}/releases/download/v%{version}/%{realname}-%{version}.tar.gz

Patch0: Drop-coverage-from-tests.patch

BuildArch:      noarch
BuildRequires:  git

BuildRequires:  python3-devel
BuildRequires:  python3-dns
BuildRequires:  python3-pyasn1
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools

%description
This package contains a Python WSGI module for proxying KDC requests over
HTTP by following the MS-KKDCP protocol. It aims to be simple to deploy, with
minimal configuration.

%package -n python3-%{realname}
Summary:        MS-KKDCP (kerberos proxy) WSGI module
Requires:       python3-dns
Requires:       python3-pyasn1

%{?python_provide:%python_provide python3-%{realname}}

%description -n python3-%{realname}
This package contains a Python 3.x WSGI module for proxying KDC requests over
HTTP by following the MS-KKDCP protocol. It aims to be simple to deploy, with
minimal configuration.

%prep
%autosetup -S git -n %{realname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest

%files -n python3-%{realname}
%license COPYING
%{python3_sitelib}/%{realname}/
%{python3_sitelib}/%{realname}-%{version}-*.egg-info

%changelog
* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.0-2
- rebuild

* Sun Apr 23 2023 Funda Wang <fundawang@yeah.net> - 1.0.0-1
- Import package for anolis 23
